> ## Documentation Index
> Fetch the complete documentation index at: https://developers.smarterservices.com/llms.txt
> Use this file to discover all available pages before exploring further.

# User Report

> Return report for a specific user



## OpenAPI

````yaml GET /users/{userid}/report
openapi: 3.0.3
info:
  title: Multi-Server API
  version: 1.0.0
servers:
  - url: https://api.defaultservice.com/v1
    description: Default service base URL
security:
  - basicAuth: []
paths:
  /users/{userid}/report:
    servers:
      - url: https://api.smartermeasure.com/v3
        description: SmarterMeasure User Service
    get:
      summary: Returns the report for a specific user.
      parameters:
        - in: path
          name: userid
          required: true
          schema:
            type: number
          description: User that should be returned.
        - in: query
          name: Type
          schema:
            type: string
          description: The type of report to be returned.
        - in: query
          name: Format
          schema:
            type: string
            default: pdf
          description: The format the report should be returned in.
      responses:
        '200':
          description: User report.
components:
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: Basic authentication with username and password

````